* debian/changelog: Version 0.3.3-3.
(setnfsexportent): Set it.
(endnfsexportent, parseopts, getexport, syntaxerr): Use it.
(parseopts): Accept old-style "crossmnt" option, for old xtabs.
+ * debian/changelog: Version 0.3.3-3.
2001-10-11 Chip Salzenberg <chip@pobox.com>
+nfs-utils (1:0.3.3-3) unstable; urgency=low
+
+ * Upstream fixes:
+ > Accept obsolete mount option "crossmnt" for parsing old xtab files
+ after upgrade. (closes: #78801)
+ > Put filenames into more error messages.
+ * Stop debconf before starting nfsd to avoid a hang. Kernel threads
+ like nfsd aren't supposed to inherit open files from the programs that
+ start them, but nfsd does. See debconf tutorial. (closes: #115817)
+ * Rebuild with current glibc. (closes: #119545)
+ * Carefully account for ownership of /var/lib/nfs/*. (closes: #117258)
+ * Warn about statd using tcpwrappers. (closes: #92666)
+ * Only warn about mountd's tcpwrappers name change if the old name
+ appears in the tcpwrapper config files.
+ * German template for nfs-kernel-server. (closes: #117196)
+
+ -- Chip Salzenberg <chip@debian.org> Wed, 21 Nov 2001 18:21:42 -0800
+
nfs-utils (1:0.3.3-2) unstable; urgency=high
* The "Test It Before Release, Stupid" release.
* Repair total failure of rpc.mountd. (closes: #115095)
- -- Chip Salzenberg <chip@valinux.com> Thu, 11 Oct 2001 13:03:45 -0700
+ -- Chip Salzenberg <chip@debian.org> Thu, 11 Oct 2001 13:03:45 -0700
nfs-utils (1:0.3.3-1) unstable; urgency=medium
Package: nfs-kernel-server
Architecture: any
-Depends: debconf (>= 1.0), nfs-common (>= 1:0.1.5), ${shlibs:Depends}
+Depends: debconf (>= 1.0), nfs-common (>= 1:0.3.3-3), ${shlibs:Depends}
Provides: knfs, nfs-server
Conflicts: knfs, nfs-server
Replaces: knfs, nfs-server
--- /dev/null
+#!/bin/sh -e
+
+. /usr/share/debconf/confmodule
+
+if egrep -q 'ALL|[0-9]\.' /etc/hosts.deny
+then
+ db_input high nfs-common/tcpwrappers-statd || true
+fi
+
+db_go
sbin
usr/sbin
var/lib/nfs
+var/lib/nfs/sm
+var/lib/nfs/sm.bak
case "$1" in
configure)
update-rc.d nfs-common defaults 19 81 >/dev/null 2>&1
-
- /etc/init.d/nfs-common start
- ;;
-
- *)
- /etc/init.d/nfs-common start
;;
esac
+
+/etc/init.d/nfs-common start
[ -x /etc/init.d/nfs-common ] && /etc/init.d/nfs-common stop
+if [ "$1" != upgrade ]
+then
+ rm -f /var/lib/nfs/sm/* \
+ /var/lib/nfs/sm.bak/* \
+ /var/lib/nfs/state
+fi
+
exit 0
--- /dev/null
+Template: nfs-common/tcpwrappers-statd
+Type: note
+Description: statd uses tcpwrappers
+ The statd daemon uses tcpwrappers to control access. To configure
+ it, use program name "statd" in /etc/hosts.allow and /etc/hosts.deny.
. /usr/share/debconf/confmodule
-db_input high nfs-kernel-server/tcpwrappers-mountd || true
-db_go
+if fgrep -q 'rpc' /etc/hosts.allow /etc/hosts.deny
+then
+ db_input high nfs-kernel-server/tcpwrappers-mountd || true
+fi
+db_go
case "$1" in
start)
cd / # daemons should have root dir as cwd
- if grep -q '^/' /etc/exports; then
+ if grep -q '^/' /etc/exports
+ then
printf "Exporting directories for $DESC..."
$PREFIX/sbin/exportfs -r
echo "done."
configure)
db_get nfs-kernel-server/tcpwrappers-mountd || true
- mkdir -p /var/lib/nfs
- touch /var/lib/nfs/xtab /var/lib/nfs/etab /var/lib/nfs/rmtab
+ touch /var/lib/nfs/etab \
+ /var/lib/nfs/rmtab \
+ /var/lib/nfs/xtab
+
if test -s /etc/exports
then
: do nothing
update-rc.d -f nfs-server remove
update-rc.d nfs-kernel-server defaults 20 80 >/dev/null 2>&1
-
- /etc/init.d/nfs-kernel-server start
- ;;
-
- *)
- /etc/init.d/nfs-kernel-server start
;;
esac
+
+db_stop
+
+/etc/init.d/nfs-kernel-server start
[ -x /etc/init.d/nfs-kernel-server ] && /etc/init.d/nfs-kernel-server stop
+if [ "$1" != upgrade ]
+then
+ rm -f /var/lib/nfs/etab \
+ /var/lib/nfs/rmtab \
+ /var/lib/nfs/xtab
+fi
+
exit 0
Template: nfs-kernel-server/tcpwrappers-mountd
Type: note
Description: in /etc/hosts.{allow,deny}, replace "rpc.mountd" with "mountd"
+ The mount daemon uses tcpwrappers to control access. To configure
+ it, use program name "mount" in /etc/hosts.allow and /etc/hosts.deny.
+ .
Older versions of nfs-kernel-server included a mount daemon that
- called itself "rpc.mountd". The current mount daemon, however, calls
- itself just plain "mountd".
+ called itself "rpc.mountd". Therefore, you should replace all
+ occurrences of "rpc.mountd" with "mountd" in /etc/hosts.allow and
+ /etc/hosts.deny.
+Description-de: "rpc.mountd" mit "mountd" in /etc/hosts.{allow,deny} ersetzen
+ =C4ltere Versionen von nfs-kernel-server enthalten einen Mount-daemon,
+ der als "rpc.mountd" bezeichnet wird. Der aktuelle Daemon wird jedoch
+ nur noch "mountd" genannt.
.
- Therefore, you should replace all occurrences of "rpc.mountd" with
- "mountd" in /etc/hosts.allow and /etc/hosts.deny.
+ Deshalb sollten Sie alle Referenzen zu "rpc.mountd" in den Dateien
+ /etc/hosts.allow und /etc/hosts.deny mit "mountd" ersetzen.
done; \
rm -f tmp/usr/sbin/*quota*; \
rm -f tmp/usr/share/man/man8/*quota*; \
- rm -rf tmp/var/lib/nfs/*
+ ( cd tmp && rm -rf var/lib/nfs && rmdir -p var/lib )
# Fixups End Here #
dh_installdocs -A README
dh_installexamples
dh_installdeb
# dh_makeshlibs
dh_shlibdeps
- # Hackery Begins Here #
- perl -pi -e 's/2\.2\.4-2/2.2.4-1/g' debian/*substvars
- # Hackery Ends Here #
dh_gencontrol
dh_md5sums
dh_builddeb